/**
 *
 * Magnolia SimpleMedia Module (http://www.openmindlab.com/lab/products/media.html)
 * Copyright (C)2008 - 2010, Openmind S.r.l. http://www.openmindonline.it
 *
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/lgpl-2.1.html
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package net.sourceforge.openutils.mgnlmedia.media.dialog;

import info.magnolia.cms.core.Content;
import info.magnolia.cms.gui.dialog.DialogBox;

import java.io.IOException;
import java.io.Writer;

import javax.jcr.RepositoryException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


/**
 * This dialog renders a field with a custom save handler which will be called on saves
 * @author molaschi
 * @version $Id: DialogCustomSaveHandler.java 1576 2009-12-31 15:29:37Z fgiust $
 */
public class DialogCustomSaveHandler extends DialogBox
{

    private Content configNode;

    /**
     * {@inheritDoc}
     */
    @Override
    public void init(HttpServletRequest request, HttpServletResponse response, Content storageNode, Content configNode)
        throws RepositoryException
    {
        this.configNode = configNode;
        super.init(request, response, storageNode, configNode);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void drawHtmlPost(Writer out) throws IOException
    {
        out.write(this.getHtmlDescription());

        out.write("<input type=\"hidden\" name=\"");
        out.write(this.getName());
        out.write("_saveHandler\" value=\"");
        out.write("net.sourceforge.openutils.mgnlmedia.media.save.MediaCustomSaveHandler");
        out.write("\" />");

        out.write("<input type=\"hidden\" name=\"");
        out.write(this.getName());
        out.write("_configNode\" value=\"");
        out.write(configNode.getHandle());
        out.write("\" />");

        out.write("</td></tr>\n"); //$NON-NLS-1$
    }

}
