/**
 *
 * Magnolia SimpleMedia Module (http://www.openmindlab.com/lab/products/media.html)
 * Copyright (C)2008 - 2010, Openmind S.r.l. http://www.openmindonline.it
 *
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/lgpl-2.1.html
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package net.sourceforge.openutils.mgnlmedia.media.tree;

import info.magnolia.module.admininterface.AdminTreeMVCHandler;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.chain.Command;


/**
 * Extends {@link AdminTreeMVCHandler} to include custom js and to route activate command to activateMedia command
 * @author molaschi
 * @version $Id: MediaModuleTreeMVCHandler.java 1576 2009-12-31 15:29:37Z fgiust $
 */
public class MediaModuleTreeMVCHandler extends AdminTreeMVCHandler
{

    /**
     * @param name
     * @param request
     * @param response
     */
    public MediaModuleTreeMVCHandler(String name, HttpServletRequest request, HttpServletResponse response)
    {
        super(name, request, response);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected void renderHeaderIncludes(StringBuffer html)
    {
        super.renderHeaderIncludes(html);
        html.append("<script type=\"text/javascript\" src=\""
            + this.getRequest().getContextPath()
            + "/.resources/media/js/media.js\"><!-- --></script>");
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String getTreeClass()
    {
        return MediaModuleTree.class.getName();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected Command findCommand(String commandName)
    {
        String cmdName = commandName;
        if ("activate".equals(cmdName))
        {
            cmdName = "activateMedia";
        }

        Command cmd = super.findCommand(cmdName);
        return cmd;
    }

}
